﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace UnivateProperties_API.Migrations
{
    public partial class PlaceHolder : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "BoundToClass",
                table: "PlaceHolders",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "BoundToClassDisplay",
                table: "PlaceHolders",
                nullable: true);

            migrationBuilder.AddColumn<DateTime>(
                name: "Created",
                table: "PlaceHolders",
                nullable: false,
                defaultValue: new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));

            migrationBuilder.AddColumn<bool>(
                name: "IsDeleted",
                table: "PlaceHolders",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<DateTime>(
                name: "Modified",
                table: "PlaceHolders",
                nullable: false,
                defaultValue: new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));

            migrationBuilder.AddColumn<string>(
                name: "ModifiedBy",
                table: "PlaceHolders",
                nullable: true);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "BoundToClass",
                table: "PlaceHolders");

            migrationBuilder.DropColumn(
                name: "BoundToClassDisplay",
                table: "PlaceHolders");

            migrationBuilder.DropColumn(
                name: "Created",
                table: "PlaceHolders");

            migrationBuilder.DropColumn(
                name: "IsDeleted",
                table: "PlaceHolders");

            migrationBuilder.DropColumn(
                name: "Modified",
                table: "PlaceHolders");

            migrationBuilder.DropColumn(
                name: "ModifiedBy",
                table: "PlaceHolders");
        }
    }
}
